package com.gic.store.dto.clerk;

import java.io.Serializable;

/**
 * 管理员权限导购
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/7/5 9:53 AM 
 */
public class ClerkAuthDTO implements Serializable{
    private static final long serialVersionUID = -8008850748120884541L;

    /**
     * 店员id
     */
    private Integer clerkId;

    /**
     *
     */
    private String clerkName;

    /**
     * 门店id
     */
    private Integer storeInfoId;

    private Integer positionId;
    /**
     * 职位名称（仅作展现）
     */
    private String positionName;

    /**
     * 性别  1：男  2：女
     */
    private Integer clerkGender;

    /**
     * 国际码
     */
    private String nationcode;

    /**
     * 电话号码
     */
    private String phoneNumber;

    public Integer getClerkId() {
        return clerkId;
    }

    public ClerkAuthDTO setClerkId(Integer clerkId) {
        this.clerkId = clerkId;
        return this;
    }

    public String getClerkName() {
        return clerkName;
    }

    public ClerkAuthDTO setClerkName(String clerkName) {
        this.clerkName = clerkName;
        return this;
    }

    public Integer getStoreInfoId() {
        return storeInfoId;
    }

    public ClerkAuthDTO setStoreInfoId(Integer storeInfoId) {
        this.storeInfoId = storeInfoId;
        return this;
    }

    public Integer getPositionId() {
        return positionId;
    }

    public ClerkAuthDTO setPositionId(Integer positionId) {
        this.positionId = positionId;
        return this;
    }

    public String getPositionName() {
        return positionName;
    }

    public ClerkAuthDTO setPositionName(String positionName) {
        this.positionName = positionName;
        return this;
    }

    public Integer getClerkGender() {
        return clerkGender;
    }

    public ClerkAuthDTO setClerkGender(Integer clerkGender) {
        this.clerkGender = clerkGender;
        return this;
    }

    public String getNationcode() {
        return nationcode;
    }

    public ClerkAuthDTO setNationcode(String nationcode) {
        this.nationcode = nationcode;
        return this;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public ClerkAuthDTO setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
        return this;
    }

    @Override
    public String toString() {
        return "ClerkAuthDTO{" +
                "clerkId=" + clerkId +
                ", clerkName='" + clerkName + '\'' +
                ", storeInfoId=" + storeInfoId +
                ", positionId=" + positionId +
                ", positionName='" + positionName + '\'' +
                ", clerkGender=" + clerkGender +
                ", nationcode='" + nationcode + '\'' +
                ", phoneNumber='" + phoneNumber + '\'' +
                '}';
    }
}
